@echo off

title ColinTree 9patch compiler
set THIS=ColinTree_9patch_compiler
set DIR=%TEMP%\%THIS%


::---------------------------
::           Main
::---------------------------

call:LOG "׼ʱļ / Preparing temporary directory"
rmdir /s /q %DIR%
mkdir %DIR%

if "%~1"=="" (
    call:ERROR "δļ / Nothing from Drag and Drop"
	goto END
) else (
    call:LOG "׼ļ / Preparing files"
)

:LOOP
if "%~1"=="" goto EXECUTE

call:LOG "%~nx1"

set fn=%~nx1
if "%fn:~-6%" NEQ ".9.png" (
    call:ERROR "ļ.9.pngļ / File from Drag and Drop is not .9.png file"
    shift
	goto LOOP
)
copy "%~1" "%DIR%\%~nx1"

::ʼǣλв%2λƵ%1
shift
goto LOOP

:EXECUTE
echo.
call:LOG "׼ϣִб / Preparation finished, execute compiling"
echo.
aapt.exe c -S %DIR% -C %~dp0\output
goto END

:END
call:LOG " / All program executed"
echo. && PAUSE && EXIT


::---------------------------
::          LOGGERS
::---------------------------

:LOG
echo.
echo [LOG] %~1
EXIT /B 0

:ERROR
echo.
echo [ERROR] %~1
EXIT /B 0